Package com.pixelmed.apps

## Class CheckAllUIDReferencesResolve

- java.lang.Object
- - com.pixelmed.apps.CheckAllUIDReferencesResolve

-     public class CheckAllUIDReferencesResolve
      extends java.lang.Object

  A class to process a set of multiple files and check that all referenced SOP Instances are present within the set.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `CheckAllUIDReferencesResolve.OurMediaImporter` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckAllUIDReferencesResolve​(java.lang.String[] srcs)` | Process a set of multiple files and check that all referenced SOP Instances are present within the set.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Process a set of multiple files and check that all referenced SOP Instances are present within the set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckAllUIDReferencesResolve

          public CheckAllUIDReferencesResolve​(java.lang.String[] srcs)
                                       throws java.io.FileNotFoundException,
                                              java.io.IOException,
                                              DicomException

      Process a set of multiple files and check that all referenced SOP Instances are present within the set.

      Parameters:
        `srcs` -
      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Process a set of multiple files and check that all referenced SOP Instances are present within the set.

      Parameters:
        `arg` - one or more source folders or DICOMDIRs